Quick source setup
Quick source setup. Manage only sources owned by this token on the current tenant.
/api/appstore/manage/quick-setupKahilingan ng mga Parameter
Ang lahat ng parameter ay maaaring ipasa sa pamamagitan ng Query o Body
| Parameter | Uri | Kailangan | Paglalarawan |
|---|---|---|---|
Idempotency-Key | string | Kailangan | 16–128 letters, digits, hyphens or underscores; identical requests return the same result for 24 hours Halimbawa: setup-example-00000001 |
source | object | Kailangan | Source settings object; name is required Halimbawa: {"name":"我的软件源"} |
apps | array | Mapagpipilian | Initial apps (max 10); each needs name and download_url Halimbawa: [{"name":"演示应用","download_url":"https://example.com/app.ipa"}] |
Pagtugon
| Parameter | Uri | Kailangan | Paglalarawan |
|---|---|---|---|
code | integer | Kailangan | 1 indicates success; otherwise a token, validation or source error code Halimbawa: 1 |
msg | string | Kailangan | Localized result message Halimbawa: 获取成功 |
time | integer | Kailangan | Unix timestamp in seconds |
data | object | Kailangan | Allowlisted fields visible to the source owner |
Error
101140001Pagtugon sa Wika
Ang mga code na halimbawa sa ibaba ay awtomatikong gumagamit ng kasalukuyang site language mo.
X-Lang: filzh, en, zh-TW, vi, ar, es, ruSinusuportahan din ang tinatanggap na-Language; ang X-Lang ang inuuna. ang mga hindi suportadong wika ay sumusunod sa site language fallback.
Mga Halimbawa ng Kodigo
curl -X POST "https://testypro.iwai.cc,https://cer.xyul.cn,https://cer.iwai.cc/api/appstore/manage/quick-setup" \
-H "X-Lang: fil" \
-H "Idempotency-Key: setup-example-00000001" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"source": {
"name": "我的软件源"
},
"apps": [
{
"name": "演示应用",
"download_url": "https://example.com/app.ipa"
}
]
}'Mga Noble
- 必须使用 HTTPS 传输。接口不接受 uid、tenant_id、is_official、到期时间等管理员字段。
- 响应不包含拥有者身份、内部草稿或敏感密钥;创建源和应用受订阅、试用及数量限制。
- 源、应用、版本快照与幂等记录在一个事务中提交;任何一步失败都不会留下半成品。
- 同一用户和租户复用 Idempotency-Key 却更改请求内容时,返回 HTTP 409。
Subukin ito sa Console
Punan ang mga parameter sa ibaba at magpadala ng kahilingan upang masubukan. requests pumunta lamang sa API ng site na ito; ang URL ay naka-lock at hindi maaaring baguhin, at isama ang inyong kasalukuyang login cookie.
https://testypro.iwai.cc/api/appstore/manage/quick-setupNakakandado sa lugar na ito16–128 letters, digits, hyphens or underscores; identical requests return the same result for 24 hours
Source settings object; name is required
Initial apps (max 10); each needs name and download_url